Bug 425551 - (CVE-2007-6351) CVE-2007-6351 libexif infinite recursion flaw (DoS)
CVE-2007-6351 libexif infinite recursion flaw (DoS)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,reported=20071214,sou...
: Security
Depends On: 425621 425631 425641 425671 425681 833926
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-14 17:10 EST by Josh Bressers
Modified: 2012-06-20 10:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 12:12:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch taken from CVS (251 bytes, patch)
2007-12-14 17:10 EST, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1165 normal SHIPPED_LIVE Moderate: libexif security update 2007-12-19 10:34:59 EST

  None (edit)
Description Josh Bressers 2007-12-14 17:10:42 EST
An infinite recursion flaw was found in libexif.  This could be leveraged by an
attacker to crash an application using libexif to process image data content.
Comment 1 Josh Bressers 2007-12-14 17:10:42 EST
Created attachment 289531 [details]
Upstream patch taken from CVS
Comment 6 Tomas Hoger 2007-12-19 11:55:07 EST
Fixed in affected Red Hat Enterprise Linux versions:
  http://rhn.redhat.com/errata/RHSA-2007-1165.html
Comment 7 Red Hat Product Security 2008-01-11 12:12:27 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-1165.html

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2007-4608
  https://admin.fedoraproject.org/updates/F8/FEDORA-2007-4667

Note You need to log in before you can comment on or make changes to this bug.